import { newSpecPage } from '@stencil/core/testing';
import { ButtonComponent } from '../button';
describe('mp-button', () => {
  it('renders', async () => {
    const page = await newSpecPage({
      components: [ButtonComponent],
      html: `<mp-button></mp-button>`,
    });
    expect(page.root).toEqualHtml(`
      <mp-button>
        <mock:shadow-root>
          <button class="bg-blue-500 font-bold hover:bg-blue-700 px-4 py-2 rounded text-white"></button>
        </mock:shadow-root>
      </mp-button>
    `);
  });
});
