import readme from './readme.md';
export default {
  title: 'Component/Card',
  parameters: {
    notes: {
      markdown: readme
    },
  },
  argTypes: {
    title: {
      control: {
        type: 'text'
      }
    },
    content: {
      control: {
        type: 'text'
      }
    },
  }
};
const Template = ({ title, content }) => `
  <mp-card title="${title}" content="${content}"></mp-card>
`;
export const Primary = Template.bind({});
Primary.args = {
  title: 'Title',
  content: 'Content'
};
